/*
链接：https://ac.nowcoder.com/acm/contest/44065/D
来源：牛客网

题目描述
JC内长度为L的马路上有一些值周同学，每两个相邻的同学之间的间隔都是1米。我们可以把马路看成一个数轴，马路的一端在数轴0的位置，另一端在L的位置；数轴上的每个整数点，即0,1,2,…L，都有一个值周同学。 由于水宝宝有用一些区间来和ssy搞事情，所以为了避免这种事走漏风声，水宝宝要踹走一些区域的人。这些区域用它们在数轴上的起始点和终止点表示。已知任一区域的起始点和终止点的坐标都是整数，区域之间可能有重合的部分。现在要把这些区域中的人（包括区域端点处的两个人）赶走。你的任务是计算将这些人都赶走后，马路上还有多少个人。
输入描述:
第一行有2个整数L和M，L代表马路的长度，M代表区域的数目，L和M之间用一个空格隔开。 接下来的M行每行包含2个不同的整数，用一个空格隔开，表示一个区域的起始点和终止点的坐标
输出描述:
1个整数，表示马路上剩余的人的数目。
示例1
输入
500 3
150 300
100 200
470 471
输出
298
说明
对于所有的数据，1≤L≤100000000

对于10%的数据，1<=M<=100

对于20%的数据，1<=M<=1000

对于50%的数据，1<=M<=100000

对于100%的数据，1<=M<=1000000
*/
#include<iostream>
using namespace std;
#define N 100000000
int Stu[N]={0};
int main()
{
    int L,M,a,b,judgement=0,answer=0;
    cin>>L>>M;
    while(M--)
    {
        cin>>a>>b;
        Stu[a]++;
        Stu[b+1]--;
    }
    for(int i=0;i<=L;i++)
    {
        judgement+=Stu[i];
        if(judgement==0)
        answer++;
    }
    cout<<answer;
    return 0;
}